# Interface methods for submodule: MatrixOffsetTransformBase
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import TransformProxy as _TransformProxy


# Interface methods for class: MatrixOffsetTransformBase
class MatrixOffsetTransformBaseProxy(_TransformProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetIdentity(self) -> None:
		""""""
		...

	def GetTransformCategory(self):
		""""""
		...

	def SetMatrix(self, matrix) -> None:
		""""""
		...

	def GetMatrix(self):
		""""""
		...

	def SetOffset(self, offset: Sequence[float]) -> None:
		""""""
		...

	def GetOffset(self) -> Sequence[float]:
		""""""
		...

	def SetCenter(self, center: Sequence[float]) -> None:
		""""""
		...

	def GetCenter(self) -> Sequence[float]:
		""""""
		...

	def SetTranslation(self, translation: Sequence[float]) -> None:
		""""""
		...

	def GetTranslation(self) -> Sequence[float]:
		""""""
		...

	def SetParameters(self, parameters) -> None:
		""""""
		...

	def GetParameters(self):
		""""""
		...

	def SetFixedParameters(self, arg0) -> None:
		""""""
		...

	def GetFixedParameters(self):
		""""""
		...

	def Compose(self, other, pre: bool = False) -> None:
		""""""
		...

	def TransformPoint(self, point: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@overload
	def TransformVector(self, vect: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@overload
	def TransformVector(self, vect: vnl_vector_fixed) -> vnl_vector_fixed:
		""""""
		...

	@overload
	def TransformVector(self, vect):
		""""""
		...

	@overload
	def TransformCovariantVector(self, vec: Sequence[float]) -> Sequence[float]:
		""""""
		...

	@overload
	def TransformCovariantVector(self, vect):
		""""""
		...

	def TransformDiffusionTensor3D(self, tensor):
		""""""
		...

	def TransformSymmetricSecondRankTensor(self, inputTensor):
		""""""
		...

	def ComputeJacobianWithRespectToParameters(self, p: Sequence[float], jacobian) -> None:
		""""""
		...

	def ComputeJacobianWithRespectToPosition(self, x: Sequence[float], jac: vnl_matrix_fixed) -> None:
		""""""
		...

	def ComputeInverseJacobianWithRespectToPosition(self, x: Sequence[float], jac: vnl_matrix_fixed) -> None:
		""""""
		...

	def GetInverse(self, inverse) -> bool:
		""""""
		...

	def GetInverseTransform(self):
		""""""
		...

	def IsLinear(self) -> bool:
		""""""
		...

